cURL
curl --request POST \
--url https://cmd.illusory.io/v1/proxies/ipv4/{proxyName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enable": "true"
}
'import requests
url = "https://cmd.illusory.io/v1/proxies/ipv4/{proxyName}"
payload = { "enable": "true" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enable: 'true'})
};
fetch('https://cmd.illusory.io/v1/proxies/ipv4/{proxyName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"message": "IPv4 update status command sent to device successfully.",
"data": {
"proxy_name": "ILL-US-AU1-9999",
"last_ipv4_update": "2050-12-04T17:43:16.407+00:00",
"ipv4": true
}
}{
"ok": false,
"data": {
"proxy_name": "ILL-US-AU1-9999"
},
"message": "Proxy not found"
}Proxy Actions
Toggle Proxy IPv4
Updates the IPv4 status of the proxy server.
POST
/
v1
/
proxies
/
ipv4
/
{proxyName}
cURL
IPv4 addresses can be toggled on and off for a proxy. When toggled off, the proxy will only be assigned an IPv6 and no IPv4 will be assigned.
Some sites may be unreachable with IPv6 only enabled. Please test your site with IPv6 before disabling IPv4. To
test the target site for IPv6 readiness, you can use a service like
Domsignal.
Authorizations
The Authorization header is used to authenticate with the API using your Master API key. Value is of the format Bearer YOUR_KEY_HERE.
Path Parameters
Replace {proxyName} in the url path with YOUR_PROXY.
Body
application/json
Updates the IPv4 status of the specified proxy
IPv4 status value. If enable = true, then the proxy will have IPv4 enabled. Default: true
Example:
"true"
Was this page helpful?
⌘I